package com.goafanti.patent.service;

import com.goafanti.common.model.PatentRegistration;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.patent.bo.PatentRecieveSendBo;

public interface PatentRegistrationService {

	PatentRegistration insert(PatentRegistration patentRegistration);

	int updateByPrimaryKeySelective(PatentRegistration patentRegistration);

	Pagination<PatentRecieveSendBo> getRecieveSendList(Integer pNo, Integer pSize);

	int updateByPrimaryKey(PatentRegistration regBo2Reg);

	PatentRegistration selectByPrimaryKey(String rid);


}
